Page MenuHomePhabricator

[ULS] jQuery.fn.offset() requires a valid DOM element
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Go to https://www.mediawiki.org/wiki/MediaWiki?debug=true#
  2. Click ULS icon
  3. Click Display settings
ext.uls.displaysettings.js?b5b8e:315 console.trace
migrateWarn @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:10344
jQuery.fn.offset @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:10778
onReady @ ext.uls.displaysettings.js?b5b8e:315
ready @ jquery.uls.core.js?6640d:114
ULS @ jquery.uls.core.js?6640d:98
(anonymous) @ jquery.uls.core.js?6640d:387
each @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:362
each @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:157
$.fn.uls @ jquery.uls.core.js?6640d:381
prepareMoreLanguages @ ext.uls.displaysettings.js?b5b8e:295
prepareLanguages @ ext.uls.displaysettings.js?b5b8e:278
render @ ext.uls.displaysettings.js?b5b8e:126
(anonymous) @ ext.uls.languagesettings.js?d5f03:151
dispatch @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:5206
elemData.handle @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:5014
trigger @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:8201
(anonymous) @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:8269
each @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:362
each @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:157
trigger @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:8268
jQuery.fn.(anonymous function) @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:8290
show @ ext.uls.languagesettings.js?d5f03:189
click @ ext.uls.languagesettings.js?d5f03:268
proxy @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:496
dispatch @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:5206
elemData.handle @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:5014
trigger @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:8201
(anonymous) @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:8269
each @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:362
each @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:157
trigger @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:8268
jQuery.fn.(anonymous function) @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:8290
(anonymous) @ ext.uls.interface.js?b7e30:92
fn @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:4955
dispatch @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:5206
elemData.handle @ load.php?debug=true&lang=fi&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0b7sr5a:5014

Impact
Warning appears browsers' developer console, which indicates some functionality will stop working in the future if not acted upon. Logspam should be fixed to avoid log fatigue which can lead to ignoring relevant log messages.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 7 2017, 7:25 AM

Change 510435 had a related patch set uploaded (by Seb35; owner: Seb35):
[mediawiki/extensions/UniversalLanguageSelector@master] Remove jQuery 3 migration warnings

https://gerrit.wikimedia.org/r/510435

Change 510435 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Remove jQuery 3 migration warnings

https://gerrit.wikimedia.org/r/510435

Nikerabbit updated the task description. (Show Details)May 8 2020, 12:39 PM
abi_ closed this task as Resolved.May 14 2020, 8:22 AM
abi_ assigned this task to Nikerabbit.
abi_ added a subscriber: abi_.

Did a quick test on Mediawiki, and I did not notice any warnings on the console. Resolving.